#include <bits/stdc++.h>


using namespace std;

long long a[100007];
long long n,i,s,p;

int main() {
cin>>n;
for(i=1;i<=n;i++) cin>>a[i];

s=0;
for(i=1;i<=n;i++){
    if(a[n]==a[n-1]){
        s+=2*a[n];
        a[n]=0;
        a[n-1]=0;

    for(i=1;i<=n-2;i++) a[i]-=2;
    for(i=2;i<=n-2;i++) s+=a[i];
    for(int j=1;j<=1;j++) cout<<s<<endl;
    break;
    }
}



return 0;
}
